CPCCambodiaPostalCode Dev
API ReferencePricing
Sign inGet started
CPCCambodiaPostalCode Dev

REST API for Cambodia address data — provinces, districts, communes, and villages. Free to start, no credit card required.

GitHubTwitter / X
Free API — no credit card required

Docs

  • Introduction
  • Quick Start
  • API Reference
  • Authentication
  • Error Codes
  • Rate Limits

Product

  • Pricing
  • Use Cases
  • Dashboard
  • API Keys
  • Changelog
  • Status

Community

  • GitHub
  • Blog
  • Changelog
  • Discussions
  • Contact

Company

  • About
  • Privacy Policy
  • Terms of Service

© 2026 CambodiaPostalCode Dev. Built for developers.

PrivacyTermsContactChangelogGitHub
CPCCambodiaPostalCode Dev
API ReferencePricing
Sign inGet started
CPCCambodiaPostalCode Dev

REST API for Cambodia address data — provinces, districts, communes, and villages. Free to start, no credit card required.

GitHubTwitter / X
Free API — no credit card required

Docs

  • Introduction
  • Quick Start
  • API Reference
  • Authentication
  • Error Codes
  • Rate Limits

Product

  • Pricing
  • Use Cases
  • Dashboard
  • API Keys
  • Changelog
  • Status

Community

  • GitHub
  • Blog
  • Changelog
  • Discussions
  • Contact

Company

  • About
  • Privacy Policy
  • Terms of Service

© 2026 CambodiaPostalCode Dev. Built for developers.

PrivacyTermsContactChangelogGitHub
CambodiaPostalCode Dev
CambodiaPostalCode Dev
DocsAPI ReferenceHomeIntroduction
API ReferenceGet all provinces GETGet province by ID GETGet districts by province GETGet district by ID GETGet communes by district GETGet commune by ID GETGet villages by commune GETGet village by ID GETSearch administrative units GETLookup postal code GET
CambodiaPostalCode Dev
CambodiaPostalCode Dev
DocsAPI ReferenceHomeIntroduction
API ReferenceGet all provinces GETGet province by ID GETGet districts by province GETGet district by ID GETGet communes by district GETGet commune by ID GETGet villages by commune GETGet village by ID GETSearch administrative units GETLookup postal code GET

Search administrative units

GET
/search

Search for provinces, districts, communes, and villages by name

Authorization

ApiKeyAuth
x-api-key<token>

Your API key from https://developer.cambodiapostalcode.com. The TosKey gateway validates it and forwards a short-lived origin JWT; the origin never sees the key.

In: header

Query Parameters

q*string

Search query string

Length1 <= length
lang?string

Language for the response (en or km)

Default"en"

Value in

  • "en"
  • "km"
page?integer

Page number for pagination

Range1 <= value
Default1
pageSize?integer

Number of items per page

Range1 <= value <= 100
Default10

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/search?q=Tonle+Basak&lang=en&page=1&pageSize=10"
{  "statusCode": 200,  "data": {    "items": [      {        "id": "635eae65-a991-6d67-a5c4-cf1829454018",        "slug": "sangkat-tonle-basak",        "name": "Sangkat Tonle Basak",        "type": "commune",        "postal_code_prefix": "12010100"      }    ],    "pageNumber": 1,    "pageSize": 10,    "totalCount": 1,    "totalPages": 1,    "hasPreviousPage": false,    "hasNextPage": false  },  "metadata": {    "correlationId": "01a0642a-d55f-70f8-b40f-2ce1c5c12035"  }}

Get village by ID GET

Previous Page

Lookup postal code GET

Next Page

Search administrative units

GET
/search

Search for provinces, districts, communes, and villages by name

Authorization

ApiKeyAuth
x-api-key<token>

Your API key from https://developer.cambodiapostalcode.com. The TosKey gateway validates it and forwards a short-lived origin JWT; the origin never sees the key.

In: header

Query Parameters

q*string

Search query string

Length1 <= length
lang?string

Language for the response (en or km)

Default"en"

Value in

  • "en"
  • "km"
page?integer

Page number for pagination

Range1 <= value
Default1
pageSize?integer

Number of items per page

Range1 <= value <= 100
Default10

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/search?q=Tonle+Basak&lang=en&page=1&pageSize=10"
{  "statusCode": 200,  "data": {    "items": [      {        "id": "635eae65-a991-6d67-a5c4-cf1829454018",        "slug": "sangkat-tonle-basak",        "name": "Sangkat Tonle Basak",        "type": "commune",        "postal_code_prefix": "12010100"      }    ],    "pageNumber": 1,    "pageSize": 10,    "totalCount": 1,    "totalPages": 1,    "hasPreviousPage": false,    "hasNextPage": false  },  "metadata": {    "correlationId": "01a0642a-d55f-70f8-b40f-2ce1c5c12035"  }}

Get village by ID GET

Previous Page

Lookup postal code GET

Next Page